[Piuparts-commits] [piuparts] 04/05: scripts: report unowned links in [/usr]/lib[/<triplet>]

Holger Levsen holger at moszumanska.debian.org
Fri Nov 21 11:57:03 UTC 2014


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch develop
in repository piuparts.

commit 823855e3c71c5c32b81d9f408ffe766a0ee80678
Author: Andreas Beckmann <anbe at debian.org>
Date:   Fri Nov 21 12:16:05 2014 +0100

    scripts: report unowned links in [/usr]/lib[/<triplet>]
    
    ldconfig creates them if missing, but they should better be shipped
    in the package
    
    Signed-off-by: Andreas Beckmann <anbe at debian.org>
---
 .../scripts/pre_remove_40_find_unowned_lib_links          | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/custom-scripts/scripts/pre_remove_40_find_unowned_lib_links b/custom-scripts/scripts/pre_remove_40_find_unowned_lib_links
new file mode 100755
index 0000000..d5354e6
--- /dev/null
+++ b/custom-scripts/scripts/pre_remove_40_find_unowned_lib_links
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+
+for libdir in /lib /usr/lib /lib/*-gnu* /usr/lib/*-gnu*
+do
+	test -d "$libdir" || continue
+	for f in "$libdir"/*
+	do
+		test ! -d "$f" || continue
+		test -L "$f" || continue
+		rl=$(readlink "$f")
+		test -n "${rl##/etc/alternatives/*}" || continue
+		dpkg-query -S "$f" >/dev/null 2>&1 || echo "UNOWNED SYMLINK $f -> $rl"
+	done
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/piuparts/piuparts.git



More information about the Piuparts-commits mailing list